.reset-password .md-container,
.login .md-container {
  width: 100%;
  display: table;
  max-width: 500px;
}

.reset-password .md-container fieldset,
.login .md-container fieldset {
  width: 100%;
  max-width: 100%;
}

.reset-password .md-container #wpmem_login,
.reset-password .md-container #wpmem_msg,
.reset-password .md-container #wpmem_reg,
.reset-password .md-container .wpmem_msg,
.login .md-container #wpmem_login,
.login .md-container #wpmem_msg,
.login .md-container #wpmem_reg,
.login .md-container .wpmem_msg {
  width: 100%;
}

.login .form {
  width: 100% !important;
  max-width: 100% !important;
}

input:-webkit-autofill {
  font-size: 16px !important;
  -webkit-text-fill-color: #000;
  transition: background-color 5000s ease-in-out 0s;
}

#wpmem_login input[type=password],
#wpmem_login input[type=text],
#wpmem_reg input[type=date],
#wpmem_reg input[type=email],
#wpmem_reg input[type=number],
#wpmem_reg input[type=password],
#wpmem_reg input[type=text],
#wpmem_reg input[type=url],
#wpmem_reg textarea {
  appearance: none !important;
  -webkit-appearance: none !important;
  font-size: 16px !important;
}

input:focus {
  transform: none;
}

.wp-2fa-config header.modal__header {
  padding: 0px 0px;
  height: auto;
  background: none;
  box-shadow: none;
  width: 100%;
  align-items: normal;
  white-space: nowrap;
  position: relative;
  z-index: 2;
  -webkit-transition: height 0.5s ease;
  -moz-transition: height 0.5s ease;
  -ms-transition: height 0.5s ease;
  transition: height 0.5s ease;
  min-height: unset;
}

.wp-2fa-config footer.modal__footer {
  background: none;
  padding: 0px;
  display: block;
  position: relative;
}

/* .wp-2fa-config #notify-users .modal__container,
.wp-2fa-config #configure-2fa .modal__container {
  overflow: hidden !important;
} */

.wp2fa-modal.enable_styling .radio-cells .option-pill {
  border: none !important;
}

.wp-2fa-configuration-form .button.enable_styling {
  text-wrap: balance !important;
}

@media(min-width:992px) {
  .wp-2fa-config .modal__overlay {
    position: fixed !important;
    top: 50% !important;
    left: 50% !important;
    right: 0 !important;
    bottom: 0 !important;
    background: rgba(0, 0, 0, 0.6) !important;
    display: flex !important;
    justify-content: center !important;
    align-items: center !important;
    z-index: 9999 !important;
    transform: translate(-50%, -50%) !important;
    width: 100% !important;
    height: 100% !important;
  }

  .wp-2fa-config .modal__container {
    position: absolute !important;
    width: 100% !important;
    height: 500% !important;
    max-width: 50vw !important;
    max-height: 50vh !important;
    top: 50% !important;
    left: 50% !important;
    transform: translate(-50%, -50%) !important;
    overflow: hidden !important;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .wp-2fa-config .modal__container .modal__container {
    flex-direction: column;
  }

  .wp-2fa-config .modal__container .modal__container .modal__header {
    justify-content: center;
  }

  .modal__content {
    display: flex;
    align-items: center;
    justify-content: center;
    height: auto !important;
  }

  .modal__content .wizard-step p {
    text-align: left !important;
  }

  .modal__content .wizard-step .wp2fa-setup-actions {
    text-align: center;
  }

  .modal__content p {
    text-align: center;
  }

  .modal__header {
    justify-content: center;
  }



  .wp2fa-modal.enable_styling .radio-cells .option-pill p {
    text-align: left !important;
  }

  .wp2fa-modal.enable_styling .radio-cells .option-pill .wp2fa-setup-actions {
    text-align: left !important;
  }
}

form#your-profile {
  padding: 20px;
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 5px;
  /*margin-top: 90px;*/
}

.wp2fa-modal.micromodal-slide .modal__container {
  min-height: 250px !important;
}

@media (width<=620px) {


  #configure-2fa .modal__container {
    display: flex !important;
    justify-content: center !important;
    align-items: center !important;
  }

  #configure-2fa .modal__container .modal__container {
    flex-direction: column;
    align-items: normal !important;
  }


}


@media (width >=992px) {
  form#your-profile {
    padding: 50px;
  }

  form#your-profile {
    margin-top: 0;
  }
}